<?php 
$title = 'Добавление новости';
include_once '../../sys/fnc.php';
include_once '../../sys/head.php';
echo '<div id="page-wrapper"><div class="main-page"><div class="blank-page widget-shadow scroll" id="style-2 div1"><p>';
///////////////////////////////
if ($user->position != 'admin') header('location: /');
if ($user->position == 'admin'){


// Удаление новости
if (isset($_GET['del'])) {

if (isset($_POST['ok'])) {
	$news = mysql_fetch_assoc(mysql_query("SELECT * FROM `news` WHERE `id` = '". intval($_GET['del']) ."' LIMIT 1"));
	mysql_query("DELETE FROM `news` WHERE `id` = '". $news['id'] ."'");
	mysql_query("DELETE FROM `news_comments` WHERE `news_id` = '". $news['id'] ."'");
	header('Location: ?');
	exit;
}

echo '
<div class="post">
<form method="post">
Вы уверены что хотите удалить эту новость?<br>
<input type="submit" name="ok" value="Да">
</form>
</div>';
echo '</p></div></div></div>';
}

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `news`"),0);
$k_page = k_page($k_post, 10);
$page = page($k_page);
$start = 10*$page-10;
if ($k_post==0)echo "<div class='err'><center>Новостей сайта не найдено</center></div>";
/////////////////////////////////////////
$query = mysql_query("SELECT * FROM `news` ORDER BY time DESC LIMIT $start, 10");
while ($newsone = mysql_fetch_assoc($query)){			
echo '<div class="post">';
echo ' <b>'.htmlspecialchars($newsone['name']).'</b> <small>'.ptime($newsone['time']).' </br> '.output($newsone['txt']).'</small><br />';
if ($user->position == 'admin')echo ' <a href="?del='.$newsone['id'].'">Удалить</a>';
echo '</div>';
echo '</p></div></div></div>';
}
/////////////////////////////////////////
if ($k_page > 1){
echo '<div class="menu"><center>';
str('?',$k_page,$page); // генерируем постраничную навигацию
echo '</center></div>';
}

switch (isset($_GET['act'])?htmlspecialchars($_GET['act']) : false ){
default:
echo '<div class="post"><form action="?act=do" method="post">
Название:<br /><input name="name" type="text" maxlength="200" /><br />
Текст:<br /><textarea name="txt"></textarea><br />
<input type="submit" value="Добавить"/></form></div>';
echo "<div class='title'>» <a href='/admin'> <b>Назад в админку</b></a></div>";
echo '</p></div></div></div>';
include_once '../../sys/foot.php';
break;
///////////////////////////////	
case 'do':
$name_news = mysql_real_escape_string($_POST['name']);
$txt_news = html($_POST['txt']);
# проверяем, введено ли название
if (empty($_POST['name'])) {
echo '<div class="err">Вы не ввели название!<br /></div>';
echo '</p></div></div></div>';
include_once '../../sys/foot.php';
break;
}
///////////////////////////////
# проверяем длину названия
if (strlen($name_news) < 3 or strlen($name_news) > 200) {
echo '<div class="err">Неверная длинна названия!<br /></div>';
echo '</p></div></div></div>';
include_once '../../sys/foot.php';
break;
}
///////////////////////////////
# проверяем длину текста
if (strlen($txt_news) < 5 or strlen($txt_news) > 4999) {
echo '<div class="err">Неверная длинна текста!<br /></div>';
echo '</p></div></div></div>';
include_once '../../sys/foot.php';
break;
}
///////////////////////////////
mysql_query("INSERT INTO `news` SET `name` = '$name_news', `txt` = '$txt_news', `time` = '".time()."', `id_user` = '".$user->id."'");
///////////////////////////////
echo '<div class="err">Вы успешно добавили новость</div>';
header('location: add_news.php');
echo '</p></div></div></div>';
include_once '../../sys/foot.php';
session_destroy();
break;
}
}
///////////////////////////////
echo '</p></div></div></div>';
?>